GNU Radio 2.x: gr_vco< o_type, i_type > Class Template Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# gr_vco< o_type, i_type > Class Template Reference

`#include <gr_vco.h>`

List of all members.

## Detailed Description

### template<class o_type, class i_type>
class gr_vco< o_type, i_type >

base class template for Voltage Controlled Oscillator (VCO)

## Public Member Functions
| gr_vco ()
virtual | ~gr_vco ()
void | set_phase (double angle)
void | adjust_phase (double delta_phase)
double | get_phase () const
void | sincos (float *sinx, float *cosx) const
float | cos () const
float | sin () const
void | cos (float *output, const float *input, int noutput_items, double k, double ampl=1.0)
## Protected Attributes
double | d_phase

## Constructor & Destructor Documentation

template<class o_type, class i_type>
gr_vco< o_type, i_type >::gr_vco | ( |  | ) | `[inline]`

template<class o_type, class i_type>
virtual gr_vco< o_type, i_type >::~gr_vco | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

template<class o_type, class i_type>
void gr_vco< o_type, i_type >::adjust_phase | ( | double | delta_phase | ) | `[inline]`

template<class o_type, class i_type>
void gr_vco< o_type, i_type >::cos | ( | float * | output,
|  | const float * | input,
|  | int | noutput_items,
|  | double | k,
|  | double | ampl = `1.0`
| ) |

template<class o_type, class i_type>
float gr_vco< o_type, i_type >::cos | ( |  | ) | const`[inline]`

template<class o_type, class i_type>
double gr_vco< o_type, i_type >::get_phase | ( |  | ) | const`[inline]`

template<class o_type, class i_type>
void gr_vco< o_type, i_type >::set_phase | ( | double | angle | ) | `[inline]`

template<class o_type, class i_type>
float gr_vco< o_type, i_type >::sin | ( |  | ) | const`[inline]`

template<class o_type, class i_type>
void gr_vco< o_type, i_type >::sincos | ( | float * | sinx,
|  | float * | cosx
| ) | const

## Member Data Documentation

template<class o_type, class i_type>
double gr_vco< o_type, i_type >::d_phase`[protected]`

The documentation for this class was generated from the following file:

- gr_vco.h